- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::AmplSuffixHandler Class Reference

`#include <AmplTNLP.hpp>`

Inheritance diagram for Ipopt::AmplSuffixHandler:

[legend]
Collaboration diagram for Ipopt::AmplSuffixHandler:

[legend]
List of all members.

## Public Types
| Index_Type
| Number_Type
| Variable_Source
| Constraint_Source
| Objective_Source
| Problem_Source
enum | Suffix_Type { Index_Type, Number_Type }
enum | Suffix_Source { Variable_Source, Constraint_Source, Objective_Source, Problem_Source }
## Public Member Functions
| AmplSuffixHandler ()
| ~AmplSuffixHandler ()
void | AddAvailableSuffix (std::string suffix_string, Suffix_Source source, Suffix_Type type)
const Index * | GetIntegerSuffixValues (std::string suffix_string, Suffix_Source source) const
const Number * | GetNumberSuffixValues (std::string suffix_string, Suffix_Source source) const
## Private Member Functions
void | PrepareAmplForSuffixes (ASL_pfgh *asl)
| Method called by AmplTNLP to prepare the asl for the suffixes.
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| AmplSuffixHandler (const AmplSuffixHandler &)
| Copy Constructor.
void | operator= (const AmplSuffixHandler &)
| Overloaded Equals Operator.
## Private Attributes
ASL_pfgh * | asl_
SufDecl * | suftab_
std::vector< std::string > | suffix_ids_
std::vector< Suffix_Type > | suffix_types_
std::vector< Suffix_Source > | suffix_sources_
## Friends
class | AmplTNLP
| Method called by AmplTNLP to retrieve the suffixes from asl.

## Detailed Description

Definition at line 419 of file AmplTNLP.hpp.

## Member Enumeration Documentation

enum Ipopt::AmplSuffixHandler::Suffix_Type

Enumerator:

  Index_Type |
  Number_Type |

Definition at line 426 of file AmplTNLP.hpp.

enum Ipopt::AmplSuffixHandler::Suffix_Source

Enumerator:

  Variable_Source |
  Constraint_Source |
  Objective_Source |
  Problem_Source |

Definition at line 432 of file AmplTNLP.hpp.

## Constructor & Destructor Documentation

Ipopt::AmplSuffixHandler::AmplSuffixHandler | ( |  | ) |

Ipopt::AmplSuffixHandler::~AmplSuffixHandler | ( |  | ) |

Ipopt::AmplSuffixHandler::AmplSuffixHandler | ( | const AmplSuffixHandler & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

void Ipopt::AmplSuffixHandler::AddAvailableSuffix | ( | std::string | suffix_string,
|  | Suffix_Source | source,
|  | Suffix_Type | type |
| ) |  |  | `[inline]`

Definition at line 440 of file AmplTNLP.hpp.

References suffix_ids_, suffix_sources_, and suffix_types_.

const Index* Ipopt::AmplSuffixHandler::GetIntegerSuffixValues | ( | std::string | suffix_string,
|  | Suffix_Source | source |
| ) |  |  | const

const Number* Ipopt::AmplSuffixHandler::GetNumberSuffixValues | ( | std::string | suffix_string,
|  | Suffix_Source | source |
| ) |  |  | const

void Ipopt::AmplSuffixHandler::operator= | ( | const AmplSuffixHandler & |  | ) | `[private]`

Overloaded Equals Operator.

void Ipopt::AmplSuffixHandler::PrepareAmplForSuffixes | ( | ASL_pfgh * | asl | ) | `[private]`

Method called by AmplTNLP to prepare the asl for the suffixes.

## Friends And Related Function Documentation

friend class AmplTNLP`[friend]`

Method called by AmplTNLP to retrieve the suffixes from asl.

Definition at line 485 of file AmplTNLP.hpp.

## Member Data Documentation

ASL_pfgh* Ipopt::AmplSuffixHandler::asl_`[mutable, private]`

Definition at line 471 of file AmplTNLP.hpp.

SufDecl* Ipopt::AmplSuffixHandler::suftab_`[private]`

Definition at line 473 of file AmplTNLP.hpp.

std::vector<std::string> Ipopt::AmplSuffixHandler::suffix_ids_`[private]`

Definition at line 475 of file AmplTNLP.hpp.

Referenced by AddAvailableSuffix().

std::vector<Suffix_Type> Ipopt::AmplSuffixHandler::suffix_types_`[private]`

Definition at line 476 of file AmplTNLP.hpp.

Referenced by AddAvailableSuffix().

std::vector<Suffix_Source> Ipopt::AmplSuffixHandler::suffix_sources_`[private]`

Definition at line 477 of file AmplTNLP.hpp.

Referenced by AddAvailableSuffix().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Apps/AmplSolver/AmplTNLP.hpp